Page Summary
-
This method creates an assignment between an inventory source and an inventory source group using a POST request.
-
The request requires an
inventorySourceGroupIdas a path parameter and a required union parameterownerin the query parameters to identify the entity that owns the parent inventory source group. -
The request body should contain an instance of
AssignedInventorySource, and a newly created instance ofAssignedInventorySourcewill be returned upon success. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Creates an assignment between an inventory source and an inventory source group.
HTTP request
POST https://displayvideo.googleapis.com/v1beta2/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
inventorySourceGroupId |
Required. The ID of the inventory source group to which the assignment will be assigned. |
Query parameters
| Parameters | |
|---|---|
Union parameter owner. Required. Identifies the DV360 entity that owns the parent inventory source group. It can be either a partner or an advertiser. owner can be only one of the following: |
|
partnerId |
The ID of the partner that owns the parent inventory source group. Only this partner will have write access to this assigned inventory source. |
advertiserId |
The ID of the advertiser that owns the parent inventory source group. The parent partner will not have access to this assigned inventory source. |
Request body
The request body contains an instance of AssignedInventorySource.
Response body
If successful, the response body contains a newly created instance of AssignedInventorySource.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.